﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace TestSumFunctionDisplay
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			this.radGrid1.ItemsSource = GetItems();
		}

		private DataTable GetItems()
		{
			DataTable items = new DataTable();
			items.Columns.Add(new DataColumn() { DataType = typeof(int), ColumnName = "AccountNo" });
			items.Columns.Add(new DataColumn() { DataType = typeof(decimal), ColumnName = "InvestmentCost" });

			items.Rows.Add(1, 123.45M);
			items.Rows.Add(2, 234.45M);
			items.Rows.Add(3, 456.45M);


			return items;
		}

	}

	public class Item
	{
		public int AccountNo { get; set; }
		public decimal InvestmentCost { get; set; }
	}
}
